Subject: Re: [PATCH V1 net-next] IB/ipoib: Fix ndo_get_iflink

From: Haggai Eran <haggaie-VPRAkNaXOzVWk0Htik3J/[email-masked]>
Date: Mon, 20 Apr 2015 11:16:34 +0300

On 17/04/2015 22:21, David Miller wrote:
> From: Erez Shitrit <erezsh-VPRAkNaXOzVWk0Htik3J/[email-masked]>
> Date: Thu, 16 Apr 2015 16:34:34 +0300
> 
>> Currently, iflink of the parent interface was always accessed, even 
>> when interface didn't have a parent and hence we crashed there.
>>
>> Handle the interface types properly: for a child interface, return
>> the ifindex of the parent, for parent interface, return its ifindex.
>>
>> For child devices, make sure to set the parent pointer prior to
>> invoking register_netdevice(), this allows the new ndo to be called
>> by the stack immediately after the child device is registered.
>>
>> Fixes: 5aa7add8f14b ('infiniband/ipoib: implement ndo_get_iflink')
>> Reported-by: Honggang Li <[email-masked]>
>> Signed-off-by: Erez Shitrit <erezsh-VPRAkNaXOzVWk0Htik3J/[email-masked]>
>> Signed-off-by: Honggang Li <[email-masked]>
> 
> Applied, thanks.

Doug, Roland,

You might want to include this patch in your for-next / for-4.1 trees,
or merge net-next again. Currently they contain the issue it fixes, and
it can prevent some systems with IPoIB from booting.

Regards,
Haggai

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html